#!/bin/bash
eval `dircolors --sh /etc/DIR_COLORS`

# default ls options
LS_OPTIONS="-F"

# this should be removed once the bug with ls and multibytes locales is fixed
[ -r /etc/profile.d/lang.sh ] && . /etc/profile.d/lang.sh
case "$LC_ALL$LC_CTYPE" in
	ja*|ko*|zh*) LS_OPTIONS="$LS_OPTIONS --show-control-chars" ;;
	*) if [ "`locale charmap`" = "UTF-8" ]; then
		LS_OPTIONS="$LS_OPTIONS --show-control-chars"
	   fi ;;
esac

# emacs doesn't support color
if [ $TERM != "emacs" ];then                         
	LS_OPTIONS="$LS_OPTIONS --color=auto"
fi

alias ls="ls $LS_OPTIONS"
